/**
 * Classe che, presi dei valori da output, li scrive in un file
 * @author Mariachiara Puviani
 */
import java.io.*; 
  
public class Scrivi 
{ 
	public static void main(String[] args)  
	{ 
		try 
		{ 
/*   VERSIONE 2
 			String file = args[0];
		   File out = new File(file);
		   FileOutputStream f = new FileOutputStream(out);
		   InputStreamReader isr = new InputStreamReader(System.in);
		   BufferedReader br = new BufferedReader(isr);
		   OutputStreamWriter osw = new OutputStreamWriter(f);
		   String riga = null;
		   while((riga = br.readLine())!= null){
			   osw.write(riga);
		   }
		   System.out.println("Fine scrittura");
		   f.close();
	   }
	   catch(Exception e){}

*/	   
			// creazione dell'oggetto che rappresenta il file su cui scrivere
		   FileOutputStream out = new FileOutputStream (args[0]);  
	 
		    // incapsulamento in un DataOutputStream 
		    DataOutputStream os = new DataOutputStream(out); 
		    // stream di input 
		    BufferedReader in = new BufferedReader(new InputStreamReader(System.in)); 
	 
		    // variabile in cui mettere il valore letto 
		    int v; 
		    for (int i=0; i<5; i++) 
		    { 
		    	System.out.print("Inserisci un numero: "); 
		    	v = Integer.parseInt(in.readLine());
		    	os.writeInt(v); 
		    } 
		} 
		catch (IOException e) 
		{ 
			System.out.println("Errore in IO "+e); 
		} 
		
	} 
} 
